html {
  height: 100%;
  width: 100%;
}
.main-container {
  width: calc(80vh * 9 / 16);
  height: 80vh;
  background-image: url('background.gif');
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  margin: 0 auto;
  border: 8px solid black;
  background-color: rgba(255, 255, 255, 0.75);
  background-blend-mode: lighten;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
}
#pipButton {
  position: relative;
  margin-top: calc(4vh);
  padding: 15px 20px;
  font-size: calc(3vh);
  background: transparent;
  color: black;
  border: calc(0.6vw) solid black;
  border-radius: 5px;
  cursor: pointer;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
.info-text {
  margin-top: calc(2vh);
  font-size: calc(2.0vh);
  color: black;
  text-align: center;
  padding: 20px;
  background: transparent;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
#localVideo {
  display: none;
}
#pipButton:hover {
  background: rgba(0, 0, 0, 0.5);
  border-color: #333;
  color: #ffffff;
}
#pipButton[data-tooltip]::after {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%) translateY(-10px);
  white-space: nowrap;
  background-color: rgba(0,0,0,0.7);
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  font-size: calc(1.5vh);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s, transform 0.3s;
}
#pipButton:hover[data-tooltip]::after {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) translateY(-15px);
}
.hint-text {
  margin-top: calc(2vh);
  font-size: calc(1.6vh);
  color: black;
  text-align: center;
  padding: 10px;
  background: rgba(255, 255, 255, 0.7);  /* Softly transparent white background */
  max-width: 80%;
  line-height: 1.4;
  border-radius: 5px;  /* Optional: adds rounded corners */
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);  /* Optional: adds a subtle shadow */
}
.hint-text a {
  color: #000;
  text-decoration: underline;
  font-weight: bold;
}
.hint-text a:hover {
  color: #333;
}